#ifndef XGFXCERTEXSHADERLOADDEF_H
#define XGFXCERTEXSHADERLOADDEF_H

#include "xasset.h"

#include <QList>

class XGfxVertexShaderLoadDef : public XAsset
{
public:
    explicit XGfxVertexShaderLoadDef();
    ~XGfxVertexShaderLoadDef();

    virtual void Clear() override;
    virtual void ParseData(XDataStream *aStream) override;

private:
    QByteArray mCachedPart;
    QByteArray mPhysicalPart;
    int mCachedPartSize;
    int mPhysicalPartSize;
};

#endif // XGFXCERTEXSHADERLOADDEF_H
